@charset "utf-8";

/** ***************************************************************************
 * 共用
 * ************************************************************************* */

#main {
  overflow: hidden;
}

/** ***************************************************************************
 * ビジュアル
 * ************************************************************************* */

#visual .title::before {
  content: 'MODEL HOUSE' !important;
}

/** ***************************************************************************
 * ギャラリー
 * ************************************************************************* */

#gallery {
  padding: 50px 0 40px;
  position: relative;
  z-index: 0;
}

#gallery::before {
  content: 'GALLERY';
  width: var(--innerWidth);
  color: rgba(48, 158, 56, 0.10);
  line-height: 1;
  font-family: Hind, sans-serif;
  font-size: 4em;
  font-weight: 700;
  text-align: right;
  position: absolute;
  z-index: -1;
  top: 45px;
  left: var(--innerCenter);
}

#gallery::after {
  content: '';
  max-width: none;
  width: calc(var(--innerWidth) - 2px);
  height: 100%;
  border-radius: 30px;
  background-color: #e5f2e8;
  position: absolute;
  z-index: -2;
  top: 0;
  left: calc(var(--innerCenter) + 1px);
}

@media screen and (min-width:1001px) {

  #gallery {
    padding: 120px 0 60px;
  }

  #gallery::before {
    font-size: 12.5em;
    top: 70px;
  }

  #gallery::after {
    border-radius: 50px;
  }

}

/**
 * タイトル
 */

#gallery .section-title {
  margin-bottom: 25px;
  color: #62af23;
  letter-spacing: 1px;
  line-height: 1.4;
  font-size: 1.5em;
  font-weight: 700;
}

#gallery .section-title::before {
  content: attr(data-en);
  margin-bottom: 2px;
  color: #333;
  line-height: 0;
  font-family: Hind, sans-serif;
  font-size: 0.45em;
  font-weight: 600;
  display: block;
}

@media screen and (min-width:1001px) {

  #gallery .section-title {
    margin-bottom: 50px;
    font-size: 2.5em;
  }

}

/**
 * ギャラリー
 */

#gallery div.gallery {
  max-width: none;
  width: calc(var(--innerWidth) - 2px);
  position: relative;
  left: calc(var(--innerCenter) + 1px);
}

/* 画像 */

#gallery div.gallery div.slide img {
  width: 100%;
  border-radius: 8px;
}

#gallery div.gallery div.caption {
  margin-top: 10px;
}

/* 前へ / 次へ */

#gallery div.gallery div.arrows {
  width: 59.62%;
  padding-bottom: 39.74%;
  pointer-events: none;
  position: absolute;
  z-index: 1;
  top: 0;
  left: calc(50% - 29.81%);
}

#gallery div.gallery button.arrow {
  width: 40px;
  margin: 0;
  padding: 0;
  appearance: none;
  cursor: pointer;
  border: none;
  background: none;
  pointer-events: auto;
  position: absolute;
  top: calc(50% - 20px);
}

#gallery div.gallery button.arrow.prev {
  transform-origin: center center;
  transform: scale(-1);
  left: -50px;
}

#gallery div.gallery button.arrow.next {
  right: -50px;
}

@media screen and (min-width:1001px) {

  #gallery div.gallery div.arrows {
    width: 60%;
    padding-bottom: 40%;
    left: calc(50% - 30%);
  }

  #gallery div.gallery button.arrow {
    width: 50px;
    top: calc(50% - 25px);
  }

  #gallery div.gallery button.arrow.prev {
    left: -25px;
  }

  #gallery div.gallery button.arrow.next {
    right: -25px;
  }

}

/* ページャー */

#gallery div.gallery ul.splide__pagination {
  margin-top: 20px;
  padding-left: 15px;
  padding-right: 15px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;
}

#gallery div.gallery ul.splide__pagination li {
  width: calc(100% / 4 - 2px);
  margin: 1px;
}

#gallery div.gallery ul.splide__pagination button {
  margin: 0;
  padding: 0;
  appearance: none;
  cursor: pointer;
  border: 2px solid transparent;
  border-radius: 6px;
  background: none;
  overflow: hidden;
}

#gallery div.gallery ul.splide__pagination button.is-active {
  border-color: #62af23;
}

@media screen and (min-width:1001px) {

  #gallery div.gallery ul.splide__pagination {
    margin-top: 30px;
    padding-left: 40px;
    padding-right: 40px;
    justify-content: center;
  }

  #gallery div.gallery ul.splide__pagination li {
    width: calc(100% / 10 - 6px);
    margin-left: 3px;
    margin-right: 3px;
  }

}

/** ***************************************************************************
 * メッセージ
 * ************************************************************************* */

#message div.message {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}

@media screen and (min-width:1001px) {

  #message div.message {
    flex-direction: row;
    justify-content: space-between;
  }

}

/**
 * 内容
 */

#message div.message div.content .catchcopy {
  margin-bottom: 0.5em;
  color: #62af23;
  font-size: 1.375em;
  font-weight: 700;
}

@media screen and (min-width:1001px) {

  #message div.message div.content {
    width: calc(100% - 350px - 4em);
  }

  #message div.message div.content .catchcopy {
    font-size: 1.875em;
  }

}

/**
 * 画像
 */

#message div.message div.image {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 30px;
  padding-left: 15%;
  padding-right: 15%;
  order: -1;
}

#message div.message div.image img {
  border-radius: 8px;
  display: block;
}

#message div.message div.image div.caption {
  margin-top: 10px;
  text-align: center;
}

@media screen and (min-width:1001px) {

  #message div.message div.image {
    width: 350px;
    margin: unset;
    padding: unset;
    order: unset;
    flex-shrink: 0;
  }

  #message div.message div.image img {
    max-width: 100%;
    margin: unset;
  }

  #message div.message div.image div.caption {
    text-align: unset;
  }

}

/** ***************************************************************************
 * アクセス
 * ************************************************************************* */

/**
 * アクセス
 */

#access div.access {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: center;
}

@media screen and (min-width:1001px) {

  #access div.access {
    flex-direction: row;
    justify-content: space-between;
  }

}

/* 内容 */

#access div.access div.content {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
}

#access div.access div.content .title {
  margin-bottom: 5px;
  font-size: 1.25em;
  font-weight: 700;
  text-align: center;
}

#access div.access div.content em {
  color: #62af23;
  font-size: 1.125em;
  font-weight: 700;
}

@media screen and (min-width:1001px) {

  #access div.access div.content {
    width: calc(100% - 540px - 4em);
    margin: unset;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-between;
  }

  #access div.access div.content .title {
    margin-bottom: 10px;
    font-size: 1.5em;
    text-align: unset;
  }

}

/* 画像 */

#access div.access div.image {
  max-width: 400px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 30px;
  order: -1;
}

#access div.access div.image img {
  width: 100%;
  border-radius: 8px;
}

@media screen and (min-width:1001px) {

  #access div.access div.image {
    width: 540px;
    max-width: 100%;
    margin: unset;
    flex-shrink: 0;
  }

}

/**
 * マップ
 */

#access div.map {
  height: 70vw;
  margin-top: 40px;
  position: relative;
  z-index: 0;
}

#access div.map iframe {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
}

@media screen and (min-width:1001px) {

  #access div.map {
    height: 500px;
  }

}

/** ***************************************************************************
 * ページナビ
 * ************************************************************************* */

#model-house {
  margin-bottom: -90px;
  padding: 40px 0 60px;
  position: relative;
  z-index: 0;
}

#model-house::before {
  content: 'MODEL HOUSE';
  width: var(--innerWidth);
  color: rgba(48, 158, 56, 0.1);
  line-height: 1;
  font-family: Hind, sans-serif;
  font-size: 3.75em;
  font-weight: 700;
  text-align: right;
  position: absolute;
  z-index: -1;
  top: 35px;
  left: var(--innerCenter);
}

#model-house::after {
  content: '';
  max-width: none;
  width: calc(var(--innerWidth) - 2px);
  height: 100%;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  background-color: #e5f2e8;
  position: absolute;
  z-index: -2;
  top: 0;
  left: calc(var(--innerCenter) + 1px);
}

@media screen and (min-width:1001px) {

  #model-house {
    margin-bottom: -170px;
    padding: 100px 0 120px;
  }

  #model-house::before {
    font-size: 9em;
    top: 70px;
  }

  #model-house::after {
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
  }

}

/**
 * タイトル
 */

#model-house .section-title {
  margin-bottom: 20px;
  color: #62af23;
  letter-spacing: 1px;
  line-height: 1.4;
  font-size: 1.5em;
  font-weight: 700;
}

#model-house .section-title::before {
  content: attr(data-en);
  margin-bottom: 2px;
  color: #333;
  line-height: 0;
  font-family: Hind, sans-serif;
  font-size: 0.45em;
  font-weight: 600;
  display: block;
}

@media screen and (min-width:1001px) {

  #model-house .section-title {
    margin-bottom: 40px;
    font-size: 2.5em;
  }

}

/**
 * ページナビ
 */

#model-house div.model-house ul.list {
  max-width: none;
  margin-left: -5px;
  margin-right: -5px;
  margin-bottom: -20px;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: center;
}

#model-house div.model-house ul.list li {
  width: calc(100% / 2 - 10px);
  margin-left: 5px;
  margin-right: 5px;
  margin-bottom: 20px;
}

#model-house div.model-house ul.list li a {
  color: inherit;
  text-decoration: none;
  display: block;
}

@media screen and (min-width:1001px) {

  #model-house div.model-house ul.list {
    margin-left: -10px;
    margin-right: -10px;
    margin-bottom: -20px;
  }

  #model-house div.model-house ul.list li {
    width: calc(100% / 3 - 20px);
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 20px;
  }

  #model-house div.model-house ul.list li a {
    flex-direction: row;
    justify-content: space-between;
  }

}

/* 画像 */

#model-house div.model-house ul.list li div.image {
  margin-bottom: 5px;
  border-radius: 8px;
  overflow: hidden;
}

#model-house div.model-house ul.list li div.image img {
  width: 100%;
}

/* 内容 */

#model-house div.model-house ul.list li div.content {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

#model-house div.model-house ul.list li div.content::after {
  content: '';
  width: 1.25em;
  height: 1.25em;
  margin-left: 0.5em;
  background: url("../_image/_common/icon-arrow-3.png") 0 0 / 100% 100% no-repeat;
}
